#ifndef CRuCaptcha_H
#define CRuCaptcha_H

#include <QTcpSocket>
#include <QThread>
#include <QFile>

class CRuCaptcha
{
public:
  explicit CRuCaptcha(const QString& _API_KEY);
  CRuCaptcha(const QString& _API_KEY,
               const bool& _is_phrase,
               const bool& _is_regsense,
               const bool& _is_question,
               const short& _is_numeric,
               const bool& _is_calc,
               const int& _min_len,
               const int& _max_len,
               const short& _language,
               const QString& _textinstructions,
               const QString& _textcaptcha);

  bool Recognize(const QString& path,QString& result);
signals:

public slots:

private:

  QString API_KEY;
  bool is_phrase;
  bool is_regsense;
  bool is_question;
  short is_numeric;
  bool is_calc;
  int min_len;
  int max_len;
  short language;
  QString textinstructions;
  QString textcaptcha;

  QTcpSocket socket;
};

#endif // CRuCaptcha_H
